WESNOTH(6)

NOMBRE
wesnoth - La batalla por Wesnoth, un juego de estrategia fantástica por turnos

SINOPSIS
wesnoth [OPCIONES] [RUTA_A_LOS_DATOS]

DESCRIPCIÓN
La batalla por Wesnoth es un juego de estrategia fantástica por turnos. Derrote a todos los líderes enemigos usando un conjunto equilibrado de tropas, teniendo cuidado de administrar sus recursos de oro y aldeas. Cada unidad tiene sus propios puntos fuertes y débiles; para ganar, despliegue sus fuerzas de la mejor forma posible, mientras evita que su enemigo haga lo mismo. Según las unidades van ganando experiencia, adquieren nuevas habilidades y se vuelven más poderosas. Juegue en su propio idioma y pruebe su habilidad contra un inteligente adversario controlado por el ordenador, o únase a la gran comunidad de jugadores en línea de Wesnoth. Cree sus propias unidades personalizadas, escenarios o campañas y compártalas con otros.

OPCIONES

--bpp número
    establece el valor de BitsPorPixel. Por ejemplo: --bpp 32

--compress fichero de entrada fichero de salida
    comprime un fichero de partida guardada (fichero de entrada) que está en formato WML de texto a un formato WML binario (fichero de salida).

-d, --debug
    muestra información extra de depuración y activa opciones adicionales en la línea de órdenes dentro del juego (vea el wiki en http://www.wesnoth.org/wiki/CommandMode para más información sobre la línea de órdenes).

--decompress fichero_de_entrada fichero_de_salida
    descomprime un fichero de partida guardada (fichero de entrada) que está en formato WML binario a un formato WML de texto (fichero de salida).

-f, --fullscreen
    ejecuta el juego en modo de pantalla completa.

--fps
    muestra el número de cuadros por segundo a los que se está ejecutando el juego actualmente, en una esquina de la pantalla.

--gunzip fichero_de_entrada.gz
    Descomprime un archivo que debería estar en formato gzip y lo almacena sin el sufijo .gz. El infile.gz será eliminado.

--gzip fichero_de_entrada
    comprime un fichero en formato gzip, lo guarda como fichero_de_entrada.gz y elimina fichero_de_entrada.

-h, --help
    muestra un resumen de las opciones de línea de órdenes en la salida estándar, y finaliza.

--load partida_guardada
    carga un fichero de partida guardada desde el directorio estándar de juegos guardados.

--log-level=domain1,domain2,...
    establece el nivel de gravedad de los dominios de depuración. all puede usarse para seleccionar todos los dominios.Niveles disponibles: error,warning, info, debug. Por defecto se utilitzará el nivel error.

--logdomains
    Vuelca una lista de todos los dominios de registro y sale.

--max-fps
    el número de cuadros por segundo que el juego puede mostrar, el valor debería estar entre 1 y 1000, por defecto es 50.

--multiplayer
    ejecuta un juego multijugador. Existen opciones adicionales que pueden usarse junto con --multiplayer como se explica más abajo.

--nocache
    deshabilita el cache de datos de juego.

--nosound
    ejecuta el juego sin sonidos ni música.

--path
    muestra el nombre del directorio de datos de juego y finaliza.

-r XxY, --resolution XxY
    establece la resolución de la pantalla. Por ejemplo: -r 800x600

-t, --test
    ejecuta el juego en un escenario de prueba pequeño.

-v, --version
    muestra el número de versión y finaliza.

-w, --windowed
    ejecuta el juego en una ventana.

--no-delay
    ejecuta el juego sin tomar un tiempo para hacer una prueba de rendimiento gráfico. Esto se activa automáticamente con --nogui.

--nogui
    ejecuta el juego sin el interfaz gráfico. Debe aparecer antes de --multiplayer para que tenga el efecto deseado.

--exit-at-end
    finaliza una vez se ha completado el escenario, sin mostrar un diálogo de victoria o derrota que requiere que el usuario pulse en Aceptar. Esto se usa también para pruebas de rendimiento automatizadas.

Opciones para --multiplayer
Las opciones multijugador específicas de bando están marcadas con number. number ha de reemplazarse por un número de bando. Habitualmente es 1 ó 2 pero depende del número de jugadores posibles en el escenario elegido.

--algorithmnúmero=valor
    selecciona un algoritmo distinto del habitual para ser usado por el controlador de inteligencia artificial de este bando. Los valores disponibles son: idle_ai y sample_ai.

--controllernúmero=valor
    selecciona el controlador para este bando. Los valores disponibles son: humano y ai.

--era=valor
    use esta opción para jugar en la era seleccionada en lugar de la era por defecto (denominada Por defecto). La era se selecciona usando un número de identificación (id). Las eras se describen en el fichero data/multiplayer/eras.cfg.

--parmnúmero=nombre:valor
    establece parámetros adicionales para este bando. Este parámetro depende de las opciones empleadas con --controller y --algorithm. Sólo debería ser útil a la gente que está diseñando su propia inteligencia artificial. (no está documentado por completo todavía)

--scenario=valor
    selecciona un escenario multijugador por id. El id de escenario por defecto es multiplayer_Las_Tierras_Libres.

--sidenúmero=valor
    selecciona una facción de la era actual para este bando. La facción se selecciona usando un identificador numérico (id). Las facciones se describen en el fichero data/multiplayer.cfg.

--turns=valor
    establece el número de turnos para el escenario elegido. Por defecto es 50.

Ejemplo para poner a prueba tu propia IA contra la IA por defecto sin iniciar el Interfaz Gráfico de Usuario:
    wesnoth --nogui --multiplayer --controller1=ai --controller2=ai --algorithm2=python_ai --parm2=python_script:py/my_own_python_ai.py

AUTOR
Escrito por David White <davidnwhite@verizon.net>.
Editado por Nils Kneuper <crazy-ivanovic@gmx.net>, ott <ott@gaon.net> y Soliton <soliton.de@gmail.com>.
Esta página de manual fue escrita inicialmente por Cyril Bouthors <cyril@bouthors.org>.
Visite la página web oficial: http://www.wesnoth.org/

COPYRIGHT
Copyright © 2003-2007 David White <davidnwhite@verizon.net>
Esto es Software Libre; este software está licenciado bajo la GPL versión 2, tal y como ha sido publicada por la Free Software Foundation. No existe NINGUNA garantía; ni siquiera para SU USO COMERCIAL o ADECUACIÓN A UN PROPÓSITO PARTICULAR.

VÉASE TAMBIÉN
wesnoth_editor(6), wesnothd(6)